<template>
    <div>
        <main>
            <!-- <div class="form-group">
                <input class="form-control" type="text" v-model="test">
            </div>
            <h1>{{test}}</h1> -->
            <!-- <ul>
                <div v-for="(categories, index) in allProducts" :key="index">

                    <li v-if="categories.indent_text != ''" class='sub-menu'>
                        <a :href="categories.slugable.key"> {{categories.name}}</a>
                    </li>
                    <li v-else>
                        <a :href="categories.slugable.key"> {{categories.name}}</a>
                    </li>
                </div>
                
            </ul> -->
           

          
                <dt v-for="(categories, index) in allProducts" :key="index">
                    <div v-if="categories.is_hot == 1" class="label label-hot">
                        HOT
                    </div>
                
                    <div v-if="categories.is_new == 1" class="label label-newl">
                        NEW
                    </div>
                    <a :href="categories.slugable.key" > {{categories.name}}</a>
                 </dt>    
                <!-- <dd class="item-content content-small">
                    <div class="megamenuClose">
                    </div>

                    <ul v-if="categories.indent_text != ''" class="row-list">
                        <li>
                            <a :href="categories.slugable.key" v-if="categories.parent_id">{{categories.name}}</a>
                        </li>
                    </ul>

                </dd> -->
               
        </main>
    </div>
</template>






<script>
import { mapGetters, mapActions } from "vuex";
export default {
    conponents:{},
    data() {
        return{
            test:'abc',
        }
    },
    created() {
        this.fetchProducts();
    },
    
    mounted() {},
    watch: {},
    computed: {
        ...mapGetters(["allProducts"]),
    },
    methods: {
        ...mapActions(["fetchProducts"]),
    },
    beforeDestroy(){},
}
</script>
